<?php declare(strict_types=1);

namespace DefaultTheme;

use EuKit\Base\Startup as BaseStartup;
use Infomaker\Everyware\Twig\ViewSetup;
use DefaultTheme\Services\TwigServiceStartup;

/**
 * Class Startup
 * @package DefaultTheme
 */
class Startup extends BaseStartup
{
    public function bootstrap(): void
    {
        parent::bootstrap();

        $twigService = new TwigServiceStartup(ViewSetup::getInstance());
        $twigService->setup();
    }
}
